2015-09-18 7.3.stable
完成的功能：
1632    需求、任务、bug、用例、文档的搜索功能的下拉框增加关键字快捷搜索功能
1633    项目-需求页面增加分页功能
1638    统计报表中的柱状图默认显示数值。
1641    实现计划的批量编辑功能
1642    编辑计划的时候把日期的快捷选择也加上
1644    调整计划、版本和发布的界面
1649    替换ke里面的swf上传漏洞
1650    从bug转入的任务，直接增加bug的描述。
1651    调整模块的复制功能
1652    调整安装时候对session目录的提示
1653    我的地盘里面的任务把基本的创建，指派，完成信息都列出来
1654    项目的模块列表如果只有一个产品的时候隐藏产品名称
1656    在需求详情页面也可以直接提交需求
1657    团队里面已经删除的用户显示其用户名
1659    调整bug重现步骤颜色的解析
1660    修改代码中的版权提示时间
1662    调整模块的折叠展开按钮的样式
1665    调整组织动态浏览页面
1666    调整组织视图里面的用户页面
1667    调整组织视图待办页面
1668    调整组织视图的日志页面
1671    调整文档详情的展示样式
1682    导入数据的时候给用户一个选择是全新导入，还是覆盖
1685    附件表单默认改为显示一个
1686    调整添加任务表单页面
1687    调整需求的添加页面
1688    调整bug的提交页面
1689    调整用例添加页面
1698    下拉菜单列出计划的时候将计划的起止时间也列出
1702    需求批量编辑修改计划的时候保证计划下拉菜单显示在屏幕视野内
1703    优化燃尽图在项目第一天的显示逻辑
1705    燃尽图的日期可以斜着显示完整日期
1731    发信配置可以设置发信人的名称
1736    去掉guest帐号的退出系统日志。
1737    解决bug的时候，指派给列表去掉删除的。
1738    在然之里面解决一个bug的时候，会跳出然之的框架。
1739    项目的bug页面增加导出功能。
1740    调整禅道发信的格式
1741    bug的检索标签增加一个待关闭的标签。
1742    将禅道和然之的集成功能直接内置到禅道里面。
1743    项目批量编辑的时候增加排序字段，可以方便用户进行排序。
1744    计划详情页面右侧的历史记录 + 号不要换行。
1745    完善后台计划任务的调度逻辑
1746    系统内置计划任务的编辑功能。
1747    燃尽图不用显示阴影。
1751    用户登录之后再访问登录页面的话，跳转到首页
1643    调整燃尽图功能
1748    内置sendcoud的消息通知服务

修复的BUG：
674     继续为需求填写任务模块信息没有同步
720     修改密码的时候密码框组件显示不对
726     组织视图的待办用户列表把删除的去掉。
729     创建任务页面抄送没有显示首字母用于快速定位
730     需求详情页面点击创建用例模块信息没有带过去
732     所有产品页面不能显示已关闭的产品
733     任务详情的svndiff应该是看单个的文件。现在是把所有的都打开了。
734     任务需求变更的时候的颜色丢失。
735     转需求的bug不应该列在遗留bug里面。
736     版本的产生bug逻辑有误
737     项目的拖动排序失效。
739     bug历史记录不能显示用户自定义的解决方案的中文名称
740     项目-测试页面提交测试会列出已经删除的版本
741     历史记录显示的操作记录不是保存在数据库中的新定义内容
742     组织-权限-视图维护显示名称错误
743     点击所有页面的产品名称进行排序会显示网址代码

2015-05-22 7.2.stable
完成的功能：
727 	实现模块更换产品功能
1260	项目和产品增加拖动排序功能
1446	一件安装包控制面板在2012和8.1下面进行测试
1518	创建事务类型任务的时候加一个全选按钮
1520	提需求页面计划下拉表只显示未过期的计划
1530	禅道参照然之里面的做法，直接对视图做权限的控制。
1532	项目-需求页面左侧添加模块列表
1533	产品、项目的搜索框添加上下按键选择的功能
1535	调整测试任务创建页面的名称的文案：版本名称改为 任务名称
1536	权限反过来控制。只能限制他访问那些产品或者项目。
1537	加强对管理员弱口令的检查。
1538	写插件，上传插件的时候需要创建ok文件。
1539	搜索自定义标题做striptags, specialchars处理。
1540	用例的expect, result也做处理。
1541	测试结果也需要做处理。
1542	需求的spec也需要做处理。
1543	敏感操作增加管理员口令的检查
1544	所有项目页面增强按照产品检索功能
1545	一键安装包启动之前判断已经安装的服务和当前的路径是否正确。
1546	调整版本和发布的关联bug，关联需求的操作。
1547	调整计划的关联需求和关联bug页面
1557	批量操作页面涉及到数字的文本框取消自动填充功能
1564	批量操作页面的chosen控件选择了某一个比较长的值之后，鼠标悬浮，显示title提示。
1565	需求的详情页面根据关联的项目的信息增加分解任务的链接。
1566	列表页面点击箭头也可以排序。
1567	安装和升级页面推荐其他的产品。
1568	计划任务增加删除备份的任务项
1576	使用zui最新的统计报表程序替换fushincharts
1584	升级集成环境里面的ioncube loader
1610	为将来的日期添加待办的时候，时间从早晨开始计算
1612	让用户选择产品和项目的组合关系
1613	产品和项目在判断代号唯一的时候排除已经删除的
1617	组织动态搜索的时候日期字段增加日期选择框

修复的BUG：
710     禅道和svn集成功能，注释的字符没有进行安全过滤
709     后台备份显示文件大小错误
708     需求详情页面创建用例，模块信息没有带过去
707     bug批量操作只有4个批量操作都有权限时候才能看到按钮
706     提用例页面下拉框样式不统一
704     项目关联需求页面未关联需求ID没有显示3位
703     select中条件变量无单引号保护
700     strtotime 在跨界的时候获得上个月时间的错误
699     计划关联需求时候的搜索，所属计划怎么把所有的都列出来了？
698     指派的弹出页面，抄送给的列表，展示不出全部用户。
696     测试-bug 已延期标签搜索条件和列表页面延期提醒条件不一致

2015-03-17 7.1.stable
完成的功能：
539     提供deb格式的安装包
1468    插件升级安装脚本中要对用户的自定义表前缀做处理
1515    提供rpm格式的安装包
1531    利用ignore_user_abort 实现计划任务机制
2208    实现异步发信

修复的BUG：
682     测试-版本 编辑没有按照项目对版本进行过滤
680     创建任务抄送列表没有过滤掉已经删除的用户
679     项目-版本详情中的下载地址显示不全

2015-02-06 7.0.stable
完成的功能：
1505    批量添加用例设置用例类型为必填
1507    所有项目页面如果项目标题过长换行显示
1508    调整bug列表批量解决-转为需求功能
1509    调整权限中的提示汉字与当前禅道界面显示汉字保持一致
1510    新创建项目的时候关联产品栏不显示已经关闭的产品
1512    零用例需求过滤已经删除的。
1513    升级之后，告诉用户一个结果是否成功。
1514    misc-ping 时间改为10分钟执行一次。
1517    把产品和项目下拉菜单中的code首字母去掉
1522    编辑发布的时候，版本显示原来的名称。
1523    安装和升级的时候需要用户确认授权协议。
1524    解决测试发信窗口，发送成功后，窗口嵌系统窗口的问题
1525    批量删除用例功能
1526    项目关联产品的时候，已经关闭的就不列了。如果是之前关联过的，还显示。
1527    360经常空白的解决。
1528    备份的还原和删除改为文字的按钮。
1529    检查批量添加和批量编辑页面模块字段chosen下拉菜单的宽度

修复的BUG：
677 编辑发布保存后已关联的需求和bug信息丢失
675 测试-用例 对执行失败的用例提交bug弹窗错误
674 继续为需求填写任务模块信息没有同步
673 用户加入日期搜索页面空白
672 添加权限分组不应该弹窗
671 需求评审拒绝提示不统一
670 测试->版本->测试用例 点击按标题排序页面空白
669 任务的需求变动页面有问题
668 项目-bug点击提bug按钮后相关任务无数据
667 历史记录显示没有找全
666 需求-编辑关联计划，阶段未更新到“已计划”

2014-12-17 6.4.stable
完成的功能：
1496    一键安装包无法修改端口号。
1083    windows一键安装包取消根目录的限制
1288    实现备份的恢复功能
1487    测试-bug页面增加一个 未确认 的快捷按钮方便用户操作
1499    浏览每一个任务，然后再关闭或者激活这些任务，上一个下个的列表希望能够保持原来的状态。
1195    调整测试任务进去之后的默认页面
1480    如果安装插件过多，API判断插件是否有更新的时候，会出现文件名过长的错误。
1502    所有产品列表页面增加翻页。
1483    调整bug批量指派功能
1495    bug的自定义模板的样式需要调整下。
836     历史修改记录里面都显示对应字段取值的中文名
1287    实现php版本的备份脚本。sql导出和附件。
1486    调整模块编辑页面的样式
1498    调整项目需求关联页面在然之里面的呈现
1321    创建用例的时候相关需求列出非关闭的需求
1489    产品和项目左上角的列表搜索已关闭的产品或者项目换一种颜色或标识以和进行中的进行区别
1501    所有项目列表页面增加翻页
1197    调整发布创建和关联需求、bug的页面
1482    项目-需求列表针对某个需求批量分解用例增加需求同上的功能
1490    完成任务的时候增加时分秒的记录
827     api接口增加sql查询调用接口
1504    选择项目转入任务之后，仍然留在当前页面，方便用户继续转入。
1275    发布增加未解决bug的列表功能
1485    一键安装包安装服务的时候指定默认的配置文件。
1497    附件列表的标题去掉粗体。
1117    部门增加编辑功能
1317    创建用例的时候相关需求可以使用弹窗进行检索
1488    增加需求批量指派功能
1500    首页默认只显示6个可见的图表，滚动停止时再显示可见的
1196    调整版本创建和关联需求、bug的页面
1481    解决bug和完成任务的时候增加上传附件的功能
1503    http://www.zentao.net/thread/83643.html helper::isUTF8bug反馈
1268    调整项目中的版本详情页面
1484    编辑器粘贴图片的时候，判断浏览器是否支持。
2150    标题长的时候，换行。不要影响后面的操作按钮。
2174    集成与然之的单点登录功能。
2175    实现与然之的区块。
2075    各个页面的排序，如果是非id排序的时候，增加id字段作为二级排序。id的正序还是反序和第一个字段相同。

修复的BUG：
613     修复firefox下面的js错误 
647     项目任务所属模块删除后任务所属模块显示问题 
659     项目-任务批量添加任务关联需求信息丢失 
658     产品页面点击所有产品后切换左上角产品列表产品id丢失 
657     批量编辑已关闭的bug会自动修改成已解决状态 
654     解决最新版本mysql安装时默认值错误的问题 
660     Bug和用例的需求变动图标不显示。
661     测试-bug 列表页面批量解决无效
663     计划详情页面反选功能失效。


2014-11-07 6.3.stable
完成的功能：
2143 ioncube向导只能是超级管理员才能访问。
2142 发信如果使用了tls，检查是否有openssl模块。
2141 用户列表增加解锁链接。
2140 一键安装包的控制面板兼容专业版
2113 二维码图片不用每次都请求
2112 调整弹出页面的等待动画，要优雅。
2109 调整附件的展示样式
2108 发信功能的错误提示重新调整下
2107 bug增加批量指派功能
2106 任务增加批量指派功能
2105 一键安装包去掉phpinfo的功能
2104 优化火狐下面模态框弹出时滚动条不断滚动出现的问题
2103 一键安装包里面增加xampp的链接和相应说明。
2102 导出excel,csv界面，默认都显示编码选项。
2101 需求的详情页面把项目任务和需求的一生交换。
2100 需求页面查看相关任务的时候，使用弹窗弹出。
2099 右下角的logo换成我们那种渐变色的。
2098 插件安装的时候判断sql错误，重复添加类的错误尝试忽略
2097 调整成功卸载之后的样式，去掉背景色。图标和文字对齐。
2096 调整卸载插件的样式。去掉红色。把文案调整下，不要换行。
2095 梳理每个对象的状态的颜色。
2094 安装插件页面样式调整
2093 修改安装时候的写入配置文件的提示
2092 修改安装时候的说明：去掉腾讯微博，增加微信。
2091 调整升级页面提示备份的样式。
2090 需求批量添加页面的优先级增加同上功能。
2089 调整需求批量关闭页面的样式。
2088 调整待办弹出的页面的样式。
2087 数据表格支持服务器端排序功能
2086 增强数据表格横向拖拽功能的可用性
2085 数据表格增加配置页面
2074 待办的“未完”页面的“批量导入”按钮界面换行了。
2055 上传附件如果不成功给用户提示
2043 捕获数据库相关的错误，并给出友好的提示

修复的BUG：
626 批量添加用户职位必须填写与单个添加用户职位不是必填项不统一
595 项目的模块显示样式有问题
601 6.0禅道在火狐30版本没有面包屑
619 调整批量添加、编辑页面中textarea在ie下面的样式
620 任务关闭后，页面没有刷新。
623 处理ie9下 bug操作的js报错问题。
624 已删除的项目传值不统一
625 测试-测试任务改成版本后后台自定义没有修改对应的名称
629 windows一件安装包控制面板自动生成脚本中禅道访问链接错误
630 专业版windows一件安装包中没有zentao文件夹导致报错
633 http://www.zentao.net/thread/83495.html图片大小的问题。
634 修改ie10和ie11关于语言的判断
635 pro4.1.beta创建任务直接点击保存按钮变成“请稍后”后无法恢复成“保存”
636 pro4.1.beta编辑任务，如果修改值不符合要求，提示错误后，保存按钮显示错误
637 用户反馈禅道中如果列表页面超过10250条记录会因为函数getpreandnextobject（）导致页面空白
638 用例详情中点击执行后会跳转到空的用例执行页面
639 需求bug的搜索功能保存查询条件后点击页面空白
644 导入bug时候的指派给时间没有设置
631 火狐下面任务的弹出页面上面的边框少了。
645 用例csv导入执行次数问题
651 我的地盘待办浏览某一天的待办无法批量编辑	
650 提交bug保存模版下次使用时候显示格式不正确	

2014-08-26 6.2.stable
完成的功能：
1429	把ajaxform超时的时间拿出来作为参数。
481 	增加是否需要打开审核流程的配置
1254	修改打包脚本，去掉内网服务器
984 	命令行中的IN_SHELL常量改用PHP_SAPI
1322	dao类增加一个方法，可以允许用户直接执行一个sql
1173	维护权限的时候应该显示当前维护的分组
1422	删除用不到的js控件
357 	dao增加count(*)的功能
1235	项目中新增需求时默认无需评审
1165	整理每个页面的标题和position：专业版
1207	发布关联bug的时候，不关联解决方案等于延期的bug
1371	项目的日志里面记录版本的创建时间和测试任务的提交，完成时间。
1436	快速跳转部分去掉圆角
808 	任务增加暂停状态
1114	用例执行失败的时候，可以考虑分步骤提交bug。
1349	批量新增bug增加“同上”功能
1432	去掉发布和版本里面的“已关联bugs”中的复数s。
1055	查看组织日志/TODO时，横向滚动时，锁定前两列的部门及员工姓名。
1337	bug创建的时候增加优先级字段
1182	计划关联需求时增加按照模块搜索功能
1428	任务详情页面显示需求的描述。
981 	调整各个对象编辑页面的标题文本框的排版
1395	添加动态中动作的中文支持
315 	设定编辑器tabindex
1439	调整转入任务时项目列表的算法
1217	关于录入工时更新任务的状态
1125	当需求，任务，bug的管理或者解决方案为重复的时候，增加搜索功能。
1369	重新梳理下邮件错误的提示。
1348	查看版本关联bug弹出的页面增加操作按钮
1193	项目转入bug作为任务的时候将延期的也放在列表中
1431	调整各个新增页面的间距，将其缩小。
1262	在项目的下拉菜单中增加所有项目的链接
1324	使用lazarus重构windows一键安装包的控制面板
1175	搜索，计划应该按照日期倒序排
1424	产品页面提需求时如果不需要评审给用户提示评审人会变成指派人
1238	提需求时所属计划列表倒序排序
1320	重置数据之后，应当提示用户结果
1169	需求的详情页显示项目
1210	集成环境首页的自动跳转去掉
1394	6.0版本更换主题后，指派列表调整对比度，使用户更容易识别内容
1438	检查确认编辑器贴图功能是否正常
855 	各个列表页面增加不同状态颜色的显示
1124	重新实现dao里面的检查字符串长度的计算方式
1359	项目导入bug的时候，自动计算模块
1199	linux一键安装包的控制脚本初始化对xampp变量的设置
1434	调整产品各个操作的界面。
1347	一键安装包首页居中对齐。
1430	模块的编辑，无法编辑名称。
483 	各个列表页面默认不显示已经关闭的对象
1256	对表单提交过来的字段进行specialchars处理。
1022	添加需求，任务，bug，文档的时候判断是否重复。
1237	任务记录工时的时候在表zt_taskestimate中记录account属性的值
905 	文档可以修改其所属的文档库
1167	邮件配置参数中过滤空格字符
1208	项目中bug列表的优先级还是用图标来显示
1437	调整桌面提醒工具权限错误的提示
1358	计划列表页面描述里面P标签的margin去掉。
1433	调整项目各个操作的界面。
1343	从用例创建bug的时候，可以选择步骤。
1057	重新梳理默认的权限列表
1183	调整两个日期选择框同时存在情况下第二个的默认值

修复的BUG：
598	6.0测试任务中查看用例结果版本信息为空
608	bug导入任务后更新任务（或bug）的状态时页面没有跳转
610	维护项目文档库的模块时把产品的模块也复制过来了
611	燃尽图的delta功能失效
622	用例批量创建需求下拉菜单无内容
618	权限管理页面去掉Bug自定义

2014-08-05 6.1.stable
完成的功能：
1176    禅道测试插件的powered by信息需要修改
1187    调整csv导入用例时记录的解析规则
1194    可以查看某一个用例产生的所有bug列表
1239    用例增加按照需求分组查看的功能
1242    在用例的结果查看页面增加测试版本的信息
1264    调整测试任务的概念，将其改为版本
1265    通过testtask创建的bug记录其相应的testtask编号
1269    调整testtask用例列表页面的模块
1270    用例执行页面增加对快捷键的支持
1271    调整用例执行页面的保存和通过按钮
1272    调整用例执行页面中结果列表的布局
1274    解决bug的时候如果选择了某一个版本，自动将其关联到其对应的testtask中。
1292    测试任务完成之后，将指派给字段改为closed
1293    我的地盘中的测试任务改为待测版本和已测版本
1303    批量添加需求、任务或者bug、用例的时候支持多行文本的添加
1306    增加一键查询没有用例需求的功能
1318    需求、任务、bug、用例列表页面 优先级和级别等显示自定义内容
1319    用例执行失败提交bug带过用例的版本、需求和所属模块信息
1321    创建用例的时候相关需求列出非关闭的需求
1366    批量添加的时候，当选择同上的时候，可以选择到上一个的对话框
1367    computeburn更新燃尽图的时候，输出项目的code。
1368    附件表单提示上传大小。
1370    计划的需求和bug列表排序改用服务器端排序。
1372    发信检查是否禁用foscket方法。
1373    任务的完成页面用户没有显示真实姓名。
1374    创建版本的时候相关需求和相关bug界面调整
1375    梳理所有下拉菜单，都改用chosen。
1376    需求检索标签增加待关闭标签。
1377    调整插件安装过程的界面。
1378    调整插件列表的界面。
1379    调整插件的目录结构，激活，禁用这些页面
1380    去掉禅道里面的sso登录模块。
1381    日志文件增加.php扩展名。
1382    每个目录创建一个空白的index.php文件。
1383    升级的时候去掉ok文件的检查。
1384    调整升级时候的各个界面的提示
1385    升级时候如果没有sql需要执行，直接跳过。
1386    升级成功之后没有显示升级结果。
1387    调整历史记录的折叠展开按钮交互的方式
1388    桌面提醒退出的时候有错误
1390    在禅道里面下载桌面提醒工具时不再写密码
1391    更新demo数据
1393    需求，任务，bug，用例批量编辑的时候如果无修改记录，不记录日志

修复的BUG：
617     任务完成页面历史记录没有显示真实姓名
616     匿名登录查询guest权限的时候应该查询zt_group的name值而不是role值
615     6.0版本后台-导入页面空白
614     zt_lang用户职位长度和zt_user中 role字段长度不一致
612     修复标题中包含单双引号的问题
609     搜索bug后批量关闭无效
607     我的地盘我的任务列表操作按钮换行
605     待办批量添加页面自定义待办切换成bug，然后再切换回来成自定义，无法输入内容了。
604     自定义类型的待办批量编辑后名称显示错误
603     事务类型任务重复创建
602     6.0项目-bug火狐30版本下有排版问题
575     文档编辑的时候，xml的标签被去掉了
553     产品没有需求的时候，测试任务按需求关联用例有bug

2014-06-25 6.0.stable

完成的功能：
1295    关联计划的时候应当也能够把未来的计划的需求关联进来。
1296    调整计划的详情页面
1297    计划关联bug的时候只列状态是未关闭的bug。
1305    批量添加待办的时候可以加上暂不指定选项
1325    需求的相关信息tab，如果没有数据的时候，字段名称应当靠左对齐。
1326    禅道的界面不需要zui里面的响应式布局
1327    调整最新版本的桌面提醒逻辑，使之能够兼容之前的禅道版本
1328    将数据库的表名全部改为小写
1329    项目如果是私有的话，抄送的时候只限定在项目团队成员中。
1330    复制项目的时候，去掉已经删除的。
1331    所有项目页面的截止日期显示年月日。
1332    去掉webapp的功能。
1333    解决ie8下面页面抖动的问题 
1334    框架错误处理函数处理没有error_get_last的情况
1337    bug创建的时候增加优先级字段
1338    批量创建bug的时候隐藏不需要的bug类型
1339    修复bug操作系统的错误
1340    检查开源版本的工时记录，处理任务的完成者信息。
1341    任务的status字段改用enum类型
1342    版本创建的时候增加placeholder提示作用
1345    修改qq邮箱默认的端口号。
1346    导入任务的时候需求没有导入进来。
1351    调整应用运行的机制
1352    将应用拿出来做独立的插件
1353    调整计划详情页面和关联页面bug、需求的排版
1354    首页创建产品和项目的样式改用zui
1355    调整路线图的样式，靠上对齐
1356    检查我的地盘档案修改的问题
1357    项目关联需求页面需求增加title标签
1360    去掉bug的自定义字段功能
1361    编辑器上传图片默认将本地上传放在第一个标签
1362    梳理测试流程的插件

修复的BUG：
582     新建任务的时候抄送会显示已经删掉的成员
583     禅道右上角的快速定位没有过滤产品和项目的访问权限
584     提bug选择产品模块后，模块负责人不能自动添加到指派人栏
585     项目导入任务页面项目列表有乱码
586     批量添加任务，保存后相关需求为空
587     js的show()方法不能显示hidden类的HTML标签
588     组织动作中一个有“记录了工时”，但搜索中没有该操作  
589     用例搜索显示页面空白
590     直接访问文档没有检查是否有产品和项目的访问权限
591     ie8下面的底部状态栏有空白
592     项目模块点击产品名称不能正常显示该产品下面的所有任务
593     6.0.beta1 在应用视图点击右上角的“关于”显示页面样式错误  
594     首页的产品和项目名称出现换行
596     在项目->需求->批量分解时，没有把需求带到批量分解页面
597     待办列表删除记录后查看详情交互出错
599     6.0.beta1提bug如果没有版本会提示创建发布
600     用例执行结果页面显示不全

2014-05-03 6.0.beta1
完成的需求：
1307    使用ZUI作为前端框架替换原有的前端资源
1308    检查旧的js及css代码，移除不再使用的组件或代码
1309    检查各个模块下的视图文件，确保界面正常展示
1310    重新设计列表页码导航样式
1311    调整页面左侧通用可折叠的树形导航样式
1312    重新对操作图标按钮名称及图标编号进行编码
1313    设计列表顶部搜索表单样式
1314    调整其他风格的主题样式
1315    调整对话框的样式

2014-03-26 5.3.stable
完成的需求：
937     设置ie8, ie9的兼容模式
944     bug的操作系统列表和浏览器列表调整
1191    用例前置条件可以回车换行
1206    关闭护项目和产品的时候，历史记录还是英文的用户名，应该用中文的。
1209    任务通过编辑或者工时完成的时候要自动修改指派给字段
1211    把index.php里面的构造函数警告的错误日志去掉。
1240    首页的动态查询逻辑调整
1245    去掉搜索中产品和项目代码前的首字母
1246    执行sql的时候，忽略注释
1247    创建版本的时候提示上一个版本的名称
1248    测试任务的起止时间可以是一天
1249    调整燃尽图的逻辑
1250    把需求列表模块区域产品名称前面的代号去掉
1251    版本增加附件上传功能
1252    发布增加附件上传功能
1253    发布的详情页面增加下载链接
1255    需求的批量关闭页面去掉table的hover样式
1257    增强错误提示框架
1258    任务完成的时指派对象只列团队成员
1261    将项目的目标和描述合并
1276    卸载插件的时候备份相应的表
1277    调整产品维护模块页面的样式
1278    导出数据的时候，把相应的id号都带上。
1279    维护模块的时候模块路径应该垂直居中。
1280    批量添加任务的时候，任务标题增加同需求功能
1281    批量添加任务的时候，增加模块字段
1282    批量编辑任务的时候，增加模块字段
1283    调整附件列表的菜单
1284    把一键安装包里面的localhost改成127.0.0.1
1285    添加任务的时候默认取需求所在的模块
1286    批量添加需求、任务、bug和用例的时候，将换行符处理为<br />
1289    调整导出模板的文案
1291    bug的批量编操作增加批量关闭操作
1294    bug的关闭页面弹出的来的关闭页面，其中备注应当垂直居中。
1301    批量添加编辑任务，相关需求的信息改为[px, xh]

2013-12-16 5.2.1

修复的BUG：
496     5.0.beta2对记录过的工时不可操作，日期也没有默认是当前日期
541     把文件编码改成ut-8。
542     changelog按照之前的标准格式写。增加日期，版本。
543     检查其他模块的mailto逻辑。
544     要加limit语句。
545     增加limit语句。
546     检查这个width的定义，按理不应该这样写。
547     修改评论中的错误。
548     修改configs和config的命名。
549     delID命名修改。
550     删除空行。
551     批量添加任务如果有格式错误再次点击保存的时候会有多条相同任务
552     批量编辑需求可以修改标题，但是一旦修改标题后，列表和详情页面显示的需求标题不一致
554     处理日志中的记录
555     项目任务的模块过滤错误

2013-11-03 5.2.stable

完成的功能：
1698    处理开源版5.1和专业版3.1的Bug
1709    增加手机和平板访问PC版的功能
1728    调整用例覆盖率的计算逻辑
1705    调整表格的间距
1706    处理字体图标的锯齿
1707    调整搜索表单的样式
1730    调整分解任务的界面
1731    调整“获取插件”的界面
1704    处理禅道的错误日志
路线图只查最近5年内

修复的BUG：
536     项目下拉列表搜索框可以搜索出没有权限的项目
532     【Bug管理】影响版本为空的时候提示语不够明显。建议：将提示语做成红色的，或者采用弹出3秒的方式提醒别人。
531     【Bug管理】在重现步骤里写了多个模板会导致在17寸显示里错位，在19寸显示器里错位。没有做到自适应！
528     【文档管理】文档管理的左边没有必要再默认的情况下全部展开，这样会导致右边出现很长的滚动条
521     查看延期bug会显示已经删除的bug
520     编辑bug的时候切换产品，计划不会跟随产品更新
516     5.1和pro3.1手机访问不能用
515     产品-计划-关联需求 左下角面包屑点击计划名称页面空白
514     5.0项目需求分解任务界面选择模块后，需求刷新后成空白需要重新选择
512     提BUG模块默认指派人员无效
508     pro3.0项目列表点击“剩”报错
507     搜索条件选择“或者”，会搜索全部的产品和项目
506     历史记录的view和diff弹窗失效
465     需求的编辑页面验收标准显示没有处理
修改错误提示信息框架，把实际的路径去掉。只有当本机调试的时候才显示真实的路径。不在一个网段的时候把路径模糊掉。
禁止使用IE兼容模式
复制一个BUG的时候，指派的人员也会变成了管理员，希望还是原来的指派对象。
手机登录的时候，如果没有gd库的时候要处理。文案中的登录地址要去掉sid
pms网站使用手机访问的时候，匿名登录时，查看任务详情的时候会有错误提示。
创建web应用时输入https://网址，系统会自动添加http://
首次更新“开发”任务时，如果直接点“更新工时”，需求阶段不会自动变化，工时更新保存后【任务实际开始日期】的值还是0000-00-00；但如果先点“开始”，需求阶段就会自动变化。
我的地盘首页，测试管理，点击由我创建的bug，出现错误。

2013-10-08 5.1

完成的需求：
1481    调整开源版本的界面
更换图标，使用字体显示图标。
调整页面样式

修复的Bug：
497     计划详情，已关联需求：按id排序不对
513     5.0版本由bug转化来的任务完成弹窗显示不正确
499     列表的checkbox不能用
231     如果action模块有model扩展，删除某一个记录的时候会有错
510     列表页面的checkbox连续点击无法取消还是选中
454     由bug转任务，完成任务是页面跳转问题。 
495     4.1 4.2我的地盘空白
509     检查所有的列表页面的删除按钮是否在无权限的情况下还可以点击
504     产品计划列表页面，没有删除计划权限的用户可以点击删除按钮
498     用例执行(待办完成)之后点击colorbox的关闭没有刷新页面。 
491     5.0.beta2后台自定义页面有错误
505     5.0经典蓝一级菜单样式有问题
460     解决webapp列表展开二次抖动问题。
511     游客无法搜索项目或者产品列

2013-09-03 5.0.stable

2013-08-27 5.0.beta2

修复的BUG：
484     3.0.beta1 创建bug切换产品后所有产品的模块都显示不出来
483     搜索过滤产品项目权限错误
482     bug，需求，任务的弹窗操作后，抄送给字段样式可以调整下
481     处理备注里面只有<br />的情况
480     项目需求列表页面移除之后没有刷新
479     【Bug新增】新增Bug的时候图片过大导致界面错位
478     【需求查询】没有勾选任何需求就点击批量编辑、批量关闭按钮没有提示信息
476     2.1创建编辑发布报错
475     【Bug管理】【用例管理】建议复制产品视图模块的时候可以将所有的产品模块一下子复制过来)
473     【Bug管理】开发解决问题解决建议使用默认值)
472     【Bug管理】开发点击“解决Bug”以后弹出的界面建议直接关闭
471     【新增BUG】配置了邮箱以后提交BUG，每次点击保存反应都很慢。
470     4.1需求更变后项目中的任务无更变提示了
469     3.0.beta1提bug点击模块维护显示有问题
468     项目中关联需求的搜索没有过滤草稿需求
467     任务点击开始操作的时候会自动更新任务的指派时间
465     需求的编辑页面验收标准显示没有处理
464     bug自定义字段后操作栏没有根据bug的状态判断是否可以进行操作
463     4.2.beta版本项目模块维护不能添加新的模块
461     需求批量关闭：如果都是已经关闭的需求，则会有问题
459     安装填写管理员时没有进行角色设定，进入禅道会报错。
457     搜索用例没有限制为当前的产品，会把所有产品中符合条件的用例都搜索出来
456     需求搜索会搜索出已经删除的需求
修复用例添加时候的问题
用例删除的跳转逻辑问题

2013-08-12 5.0.beta1

完成的需求：
1674    完成测试任务的自定义配置功能
1675    完成待办的自定义配置功能
1676    完成用户的自定义配置功能
1677    为配置页面增加“回复默认”功能
1679    修复四十五期项目产生的Bug 
1666    在后台添加二级配置菜单
1667    确定后台配置下的菜单（三级菜单）
1668    确定配置菜单下三级菜单下的各个四级菜单
1669    设计配置数据表结构
1670    完成需求的自定义配置功能
1671    完成任务的自定义配置功能
1672    完成bug的自定义配置功能
1673    完成测试的自定义配置功能
1681    为自定义配置增加语言的选择。
1683    调整bug列表的按钮
1684    调整用例列表的按钮
1685    bug增加批量解决功能
1686    将changeAction方法放到my.full.js，改名为setFormAction
1687    调整需求列表的按钮
1688    调整任务列表的按钮
1689    为bug增加批量确认功能

修复的BUG：

466     查询符合某一条件的需求，选择其中的某一个关闭，点击下一个，又从第一个开始
修复创建版本时，关联Bug的批量操作错误，和action错误。

2013-8-5 4.3.beta

完成的功能：
1156    在确认bug的时候可以设置bug的优先级 
1155    处理发信逻辑，已经删除的用户不要再发送邮件 
1154    参考论坛用户的建议，考虑实现浏览器贴图上传功能 
1152    备注中添加的超链接在显示的时候被过滤掉了 
1151    在禅道中增加对浏览器支持的说明 
1150    用例导入模板页面，显示模板编号用于比对。 
1127    打包的时候把扩展目录下面的css,js也都生成 
1116    显示燃尽图的时候默认将周末去掉。 
1111    web应用安装之后，页面不用刷新。改用ajax修改安装按钮的状态。 
1108    从计划中移除需求的时候，正确处理其所处的阶段 
1105    zentaotest, zentaotask,zentaostory单独设置flow。
1103    发信应该可以重新设置。 
1102    调整组织视图用户界面各个功能页面的样式，保持统一 
1101    完善升级逻辑，增加插件的兼容性处理。 
1100    增加不兼容插件功能 
1099    安装插件的时候，将确认按钮放在上面 
1096    桌面提醒增加繁体版本 
1088    在创建附件目录的时候，自动创建一个空白的index.html
1080    整理使用到的session列表
1078    禅道中有开始和结束日期的地方增加结束日期不能小于开始日期的检查 
1074    作为测试人员，我需要在测试任务的详情里方便的查看测试版本需求 
1072    用例的批量添加页面需要处理。 
1070    项目视图的需求列表页面增加创建用例的链接 
1069    添加完项目之后的弹出页面停留。 
1068    在添加对象的时候，如果某个字段没有取值列表，给出相应的链接，并可局部刷新 
1067    创建新的计划的时候选择最新的一个计划结束日期开始。 
1066    创建应用的时候，判断是否有http://
1065    批量添加用户的时候，第一个密码的同上按钮去掉。 
1064    用户列表里面的最后登录时间去掉1970。
1063    添加用户的时候，没有带部门条件。（包括批量添加)
1062    部门的排序给默认数字。 
1061    安装成功之后的首页，将项目和产品区块的背景色去掉。 
1060    init.bat生成的ztcli.bat错误
1059    调整和修复任务、测试和需求扩展模块的代码 
1057    重新梳理默认的权限列表 
1056    没有批量编辑权限的情况下，把多选框去掉 
1055    查看组织日志/TODO时，横向滚动时，锁定前两列的部门及员工姓名。 
1053    启动任务的时候自动修改指派者 
1052    测试任务的用例列表增加搜索功能 1049 备注编辑功能，只有最后一个备注才可以修改或者删除。
1045    详情页面的操作图标都加上提示。
1043    dao.class.php查询sql的时候自动增加deleted=0的条件
1042    增加bug的批量添加功能
1039    我的地盘里面的我的任务，bug，需求等增加批量操作。
1037    返回的按钮改为<<这种形式的？
1030    插件增加是否是官方出品字段
1029    创建项目的时候，关联产品使用chosen实现
1026    测试任务关联的用例版本发生变化之后，应当给予提示和确认。
1025    我的地盘中的用例增加执行功能，要判断是否是在测试任务中。
1022    添加需求，任务，bug，文档的时候判断是否重复。
1017    修复文档库当内容比较多的时候的页面框架变形的问题。
1010    我的地盘中的待办列表页面可以选择日期导入
1006    整理每个页面的标题和position
1005    各个列表页面的模块都可以折叠隐藏
1003    和禅道服务器进行交互的api都改为二级域名。
1002    和禅道服务器进行交互的api都加上语言选项
1000    从项目提交测试的bug自动修改其解决方案
994     重新设计项目列表的折叠和隐藏功能
986     批量添加的时候，将input改为textarea
981     调整各个对象编辑页面的标题文本框的排版
979     调整测试任务的详情页面，和其他的详情页面保持一致
971     将扩展编辑器放在插件菜单下面。
967     任务列表增加导入按钮
925     创建产品、需求的时候 复责人、评审人建议过滤closed
918     草稿需求阶段在取消计划和取消项目关联的时候没有处理
872     测试用例导出的数据 没有用例的执行结果
871     测试人员创建bug的时候可以选择没有权限的项目，但是创建bug之后却看不到，导致重复提交
853     实现需求测试用例覆盖率功能
826     在禅道中提供api方面的实际例子
746     使用ajax实现列表页面的删除或者移除功能
680     增加依赖插件的功能
586     优化批量添加用例时的需求列表
562     测试用例增加csv格式的导入功能
404     调整统计报表的展示形式
379     完善部门删除的逻辑
130     完善需求列表页面增加批量操作
122     计划中关联bug

修复的BUG：
451     【查询用例】执行用例的时候，不方便查看上一次的用例执行结果，建议将用例执行结果表单链接在用例的下方
453     激活bug时备注内容没有处理html代码，导致保存后页面布局严重混乱。

2013-7-8 4.2.beta

完成的功能：
1149 	调整产品和项目的下拉菜单样式
1148 	调整指派给下拉菜单的样式
1147 	登录界面的宽度控制下
1146 	调整历史记录的显示样式
1144 	调整详情里面的操作按钮
1143 	调整分页导航条的样式
1142 	页面都通过pjax方式载入
1140 	在web网站上面提供二维码登录入口
1138 	在移动web上面实现待办的处理流程
1137 	在移动web上面实现bug的处理流程
1136 	在移动web上面实现任务的处理流程
1136 	在移动web上面实现任务的处理流程
1135 	移动web能够兼容现在的扩展机制
1134 	实现产品的bug列表页面 
1133 	实现项目页面
1133 	实现项目页面
1132 	实现产品页面
1131 	实现移动web端我的地盘页面
1130 	确定移动web端的导航机制
1129 	确定移动web端的ui框架
1128 	index.php判断当前访问的终端类型，以决定视图显示类型
1126 	调整bin目录下面的脚本运行
1123 	完善工时填写的逻辑
1121 	创建和编辑项目的时候取消项目团队必填字段的选项
1120 	bug备注功能无法使用 view.js要做一个空白的文件。
1119 	版本的唯一检查增加产品条件。
1118 	调整模块的删除页面
1112 	调整zt_story表里面的reviewBy字段的大小
1110 	添加工时时候的备注信息可以作为任务操作历史里面的备注信息
1109 	处理历次版本删除的文件
1107 	访问方式在安装的时候隐藏掉,不需要用户来设置。
1106 	权限里面还有关于todo的权限，名字改成待办
1104 	集中处理用户列表的查询和显示
1095 	更改表单提交和页面跳转的方式
1093 	链接数据库的时候，自动将localhost改成127.0.0.1
1091 	各个列表页面的操作列表实现无刷新操作
1090 	将company逻辑去掉。
1089 	把pms里面的原来持久cookie的逻辑去掉。
1081 	实现基于linux虚拟化的集成运行环境
1079 	重构产品视图的下拉列表
1079 	重构产品视图的下拉列表
985  	重构产品，用例，bug和任务的模块功能
985  	重构产品，用例，bug和任务的模块功能
974  	重构产品和项目的下拉菜单

解决的bug：
455     用户名为数字时，我的地盘的档案会出错。
452     【查询用例】已关联用例列表界面的用例跳转错误。
450     【编辑待办】编辑TODO界面在拷贝excel里的内容后各个字段出现错位
449     用例浏览页面的notice错误
448     修复sql报错
447     pms一键安装包中的php.ini，mysql.ini的绝对路径可能会有问题。
446     修改个人档案会导致分组信息丢失。
445     install.bat 生成的null文件要删掉。
444     demo数据中的任务按照status排序不对。检查statusCustom字段排序。
443     抄送已经删除的用户还会出来。
442     测试流程插件下面，产品维护点击返回，返回需求列表页面，不对。应当返回bug列表？
441     查看需求的时候，相关任务的项目名称没有查出来
440     session错误
439     4.1版本 组织-用户视图点击某个用户调转的页面连接没有传参数
438     任务批量添加处理逻辑“任务名称”与“任务类型”弄反了
437     4.1版本 项目任务视图添加工时提示信息不全
436     项目-任务视图 选择未完成会显示所有项目的未完成任务
435     复制团队时过滤掉没有权限的项目
434     项目关联需求时如果选择搜索，可以搜索出草稿状态的需求
432     批量添加用户没有过滤中文用户名
430     bug确认功能弹窗没有自动关闭
448     如果有用户名为数字的用户，则mailto的autocomplete失效
444     导出数据时，把产品和项目名称前面的 “：”去掉
442     init.sh生成脚本判断访问方式有问题
441     批量添加中的同上统一成ditto
425     在bug搜索中，选择 是否确认=未确认，结果有已确认
417     测试管理流程下面产品团队的bug
415     安装的时候session_savepath不支持分级目录的写法
412     我的地盘里面的待办列表按照状态排序的时候不对
406     任务批量编辑的时候，可以只编辑由谁关闭，这个逻辑不对。应该再增加检查。

2013-5-5 4.1

完成的功能：
1059    调整和修复任务、测试和需求扩展模块的代码
1057    重新梳理默认的权限列表
1054    项目任务的筛选标签中增加未完成和已取消
1053    启动任务的时候自动修改指派者
1051    调整用例的执行页面
1050    调整测试任务中的用例的批量执行页面的排版
1046    指派的时候增加抄送。 
1040    计划列表将开始日期和结束日期放在后面。
1038    整理各个列表页面的菜单，将更多的菜单放进来。  
1036    我的地盘里面的任务，bug，需求，用例等没有增加隔行变色功能。  
1035    我的地盘里面的任务，由我关闭，去掉checkbox，去掉关闭按钮。  
1032    组织视图里面的用户任务，缺陷增加类似我的地盘里面的划分，指派给我，由我创建，由我关闭等。  
1028    安装和升级的时候关闭debug。  
1024    项目任务列表增加批量关闭操作。
1023    调整回收站的功能
1021    组织视图用户列表的操作按钮应该居左对齐，因为超级管理员是没有删除链接的。  
1020    超级管理员都不能删除
1019    产品计划列表页面改为按照开始时间倒序排列
1018    调整产品计划详情页面
1004    web应用可以自定义尺寸大小
1001    输出内容的时候，处理utf-bom和空白字符
999     项目中导入bug的时候，自动修改bug相应的指派人
998     重新整理下smtp无法链接到服务器时的错误提示
995     首页的更多的小箭头改为三角。
993     去掉msn字段，增加skype字段。
992     用户列表和详情页面打印用户的及时通讯软件的链接
991     待办的详情页面应当增加完成按钮。
990     调整待办的列表页面
989     我的地盘里面的待办增加批量完成功能
988     待办批量编辑的时候可以批量编辑其状态
983     调整统计报表页面
982     需求和用例的版本号链接放在其标题后面
978     配置邮箱的时候，增加发信编码设置参数
977     为每种语言设置支持的编码列表
973     windows控制面板和控制脚本判断是否是在根目录下面。
968     将各个页面的报表按钮放在featurebar右侧的最左侧
966     调整项目导入bug功能
965     调整任务的转入页面
963     调整待办详情页面弹出的colorbox，不要出现滚动条
962     我的地盘里面的待办id字段靠左对齐
960     组织视图中的用户列表也显示用户相应的需求列表
959     组织视图中的用户列表也显示用户相应的测试
958     分组维护权限列表页面样式调整
957     组织视图的公司增加一个view方法
956     维护权限分组的用户列表页面调整
955     按照模块分配权限页面增加提示
954     权限分组列表页面调整
953     实现编辑用户所属分组功能
952     用户档案页面调整
951     将重填按钮去掉，改为返回按钮
950     所有的小操作都改用colorbox弹出
934     调整需求批量添加和批量编辑页面的字段顺序
927     从项目视图中创建的需求状态默认是激活中
926     备注支持富文本编辑器
923     项目中“导入bug”是如果bug指派人在团队成员中，默认指派给这个团队成员
922     附件后面的“编辑”改成“重命名”
921     组织视图 待办日历视图增加背景区分
842     统计视图中的产品和项目能够进行点击
825     bug的备注增加编辑器
776     我的地盘首页上，在项目名称和产品名称上停留，没有弹出显示全名称
773     编辑测试视图的模块负责人时，负责人列表未过滤已被删除的用户
772     bug的邮件提醒将用户名替换成真实姓名
748     编辑器里面上传的图片增加一个边框
491     提供任务复制功能

解决的bug：
426     指派bug的时候没有修改指派时间。
423     动作的语言没做定义
420     在chrome下面批量添加需求的时候，是否需要评审字段显示不完整
419     批量添加需求的时候事先选中的模块没有传递到批量添加页面
418     导入项目任务的时候，项目的任务列表没有过滤删除的。没有设置code的项目取的首字母有问题。
416     任务批量编辑页面，id如果超过4位，会显示不全。
414     组织视图中用户相关的登录等动态信息链接参数不对
413     我的地盘中指派给我的任务按照项目排序之后无法打开
411      批量添加需求、任务时未过滤html标签的严重缺陷
410     已经解决过的bug批量编辑的时候，解决日期又发生了变化。  
408     创建发布关联bug的时候，会将已经删除的bug也列出来。  
407     任务批量编辑的时候，如果原来的状态就是已经完成，不应该再修改其完成时间。  
404     项目视图中的项目列表所属产品不对
403     产品视图中的项目列表无法切换产品
400     测试任务中执行用例关闭弹窗没有自动刷新
399     我的地盘，指派给我的用例有错误
398     用例编辑：之后添加之后，新增的步骤，没有数字序号。
397     项目维护团队的时候，如果zt_team表里面有project=0的记录，会自动选中
396     产品动态下拉菜单，重新选择空白后需要处理
395     超管可以自己删除自己。
394     用例打开连接是空白页
392     window一键安装包启动后端口号屡次冲突
391     项目任务搜索时，没有加项目条件判断
390     搜索bug会默认搜索所有的产品的bug，没有限制在当前产品bug内
389     测试任务中查看此任务的用例列表，右上角“返回”按钮显示不完整。
384     变更需求的时候，需求的验收标准字段没有富文本编辑器了
246     管理任务或者bug的todo，在首页动态无法显示其标题

2013-3-3 4.0.stable(从3.3版本以来的改动)

流程选择:

  增加流程选择，可以选择使用禅道的方式：全流程管理、仅测试管理、仅任务管理或者只有需求管理。

提醒:
  内置客户端提醒功能。
  将每日提醒功能集成到禅道开源版中。

WebAPP：  

  增加了webapp功能。

安装：

  安装时增加mysqldump参数的配置。
  安装的时候检查是否支持PATH_INFO功能。
  将流程图、帮助文档、视频链接放在禅道安装包里面
  更新相应的INSTALL, README文档
  安装的时候增加对session_savepath的检查
  自动计算webRoot

windows一键安装包：

  升级apache, mysql, php版本。
  精简apache, mysql, php配置文件。
  重新实现的控制面板和控制脚本。
  内置subversion客户端和配置。
  自动将php加入到系统可执行路径中。
  重新恢复phpmyadmin。
  附件大小调至50M。

linux一键安装包：

  升级apache, mysql, php版本。
  精简apache, mysql, php配置文件。
  重新恢复phpmyadmin。
  附件大小调至50M。
  增加对64位系统的检查和提醒。
  精简用不到的lib,节省40M空间。
  
UI：

  重新整理每个页面的操作按钮。
  重新整理colorbox的样式,宽高和显示效果。
  精简菜单。
  完善优先级的显示
  显示操作记录的diff信息时,去掉标签。

我的地盘：

 修复todo批量添加之后跳转页面的错误
 我的地盘里面的内容实现在服务器端的排序功能。
 我的todo增加分页功能。
 我的todo的浏览页面都增加导入到今天按钮

产品：

 重构产品访问权限的实现逻辑
 产品实现关闭功能。
 处理产品的下拉菜单，将结束的放在下面
 编辑需求的时候显示需求的验收标准
 放开对需求激活的检查
 需求内置批量添加,批量编辑和批量关闭功能。
 创建产品计划的时候，增加日期的选择
 调整计划列表页面

项目

 将项目的概况改为维护
 项目实现了开始,挂起,延期,关闭等操作。
 项目区分短期迭代,长期效果
 调整项目列表和模块列表的显示。
 重构项目访问权限的实现逻辑
 在设置项目起止日期的时候，自动将周末排除掉

 内置任务的批量添加和批量编辑功能。
 从需求可以直接批量分解任务。
 任务导出增加开始时间字段
 编辑任务的时候，允许其修改所属的项目
 燃尽图实现标准线功能
 项目需求增加导出功能
 项目任务增加记录工时处理

测试：

  在bug详情页面增加相关用例展示

  测试用例增加接口类型
  测试执行增加了批量运行功能。
  用例执行增加上一个，下一个功能
  内置用例的批量添加和批量编辑功能。
  用例列表失败的用例状态显示红色。

  创建测试任务的时候，能够发送邮件通知测试负责人
  测试任务增加各种操作。
  测试任务增加测试总结字段。
  测试任务增加优先级字段

统计：
  增加Bug指派表

组织：

  实现了批量维护用户功能。 
  实现了用户常用联系人列表功能。
  添加用户的时候可以设置用户所属分组。
  用户增加角色功能。
  用户管理页面增加搜索功能
  用户管理页面增加分页功能
  删除用户之后应当跳回原来的列表页面

  重新调整了权限分组维护页面。
  权限管理增加自从某个版本以来所有新增的权限的功能
  修改了公司名称之后，将session里面的信息也自动更改过来
  将超级管理员的权限放在权限列表中
  完善接口权限的处理

搜索：

  按照日期进行搜索的时候增加动态条件
  按照用户字段来进行搜索的时候增加对me的支持
  自动判断日期字段的操作符

邮件：

  将邮件配置存储放在数据库中
  发送邮件的时候，将diff中的代码标签去掉

命令行和程序：

  解决5。4版本里面的waring问题
  提供一个脚本，自动将各个php, bat。shell文件中的路径都处理好
  写一个脚本，可以方便用户从Windows系统迁移到linux中
  对bin目录下面的各个脚本提供bat的封装
  实现了定时任务框架。
  整理了常用的命令行工具。

其他：

  提示用户最大可上传附件大小。
  回收站增加了全部隐藏的功能。

  升级了kindeditor, 文档功能增加了表格的支持。增加了代码高亮的功能。
  控制编辑内容时p标签的margin

  导出功能增加选中导出功能
  更新模块顺序之后，自动调整其排序字段

2012-12-25 4.0.beta2发布：

需求：

94     自动计算webRoot
670    按照日期进行搜索的时候增加动态条件
671    按照用户字段来进行搜索的时候增加对me的支持
708    实现用户自定义指派列表功能
719    调整权限分组的用户管理，以适应用户很多的情况
734    编辑任务的时候，允许其修改所属的项目
735    更新模块顺序之后，自动调整其排序字段
759    将windows集成运行环境和linux集成运行环境独立出来
777    自动判断日期字段的操作符
780    升级windows一键安装包
782    增加用例的批量执行功能
783    用例执行增加下一个功能
787    将批量编辑操作功能集成到开源版本中
792    将一键安装包的php加入到系统的path命令中
795    控制编辑内容时p标签的margin
796    完善接口权限的处理
801    调整导入任务的页面
814    调整详情页面的切换顺序和隐藏显示功能
816    突出搜索表单的搜索按钮 
821    编辑产品描述，处理历史记录里面的P标签等样式字符
828    解决5.4版本里面的waring问题
829    项目需求增加导出功能
830    导出功能增加选中导出功能
833    统计视图中的项目偏差表只显示已经结束的项目
834    用户管理页面增加搜索功能
835    用户管理页面增加分页功能
843    测试任务增加优先级字段
844    维护模块的时候，可以动态的添加文本框
848    燃尽图实现标准线功能
850    创建测试任务的时候，能够发送邮件通知测试负责人
851    在bug详情页面增加相关用例展示
858    转入任务列表页面的项目下拉菜单列表不应该限制大小，调整排序顺序
859    调整需求的批量关闭页面的关闭原因字段的宽度
860    需求分解任务时候的批量添加改为批量分解。
861    完善禅道客户端提醒工具
862    完成rsspod1.0版本
864    放开对需求激活的检查
865    实现控制面板的检查更新功能
866    实现控制面板中的数据库管理功能
867    实现控制面板中的备份禅道功能
868    点击控制面板中的更多，出现其他的管理菜单
869    控制面板增加卸载服务功能

bug:

388     项目需求页面的批量编辑时候，模块不对
387     批量添加用例的时候，提示需求必须为数字
386     bug的检索条件保存之后，再进行检索会有报错
385     项目任务列表中已经关闭的任务，没有显示指派给为closed。
383     测试视图需求变动的检索范围有问题
382     创建发布，列出的bug应该是版本所在项目起止时间内解决的bug
380     创建版本在ie下不能全选
379     测试任务用例页面导出无法使用
378     修复需求的研发阶段的错误
376     修复创建bug时的js错误
375     查询条件中指定：所属项目 = 所有项目，会有权限漏洞  
374     修复bug的指派页面返回操作按钮的调整逻辑
373     批量添加任务的时候，提示相关需求必需为数字
371     修复邮件发送时图片无法显示的问题
370     测试视图用例过长时后面的操作按钮出现问题
367     bug的导入模板功能影响版本只有trunk
366     批量添加需求的时候没有处理研发阶段字段
365     我的地盘中的指派给我的用例菜单错误
364     ie8兼容模式下面，首页我的todo，我的bug这些标题会消失
360     缺陷管理搜索有的影响版本显示名称有的只显示编号
359     任务的时间设置输入没有做限制
358     项目视图维护模块、复制模块的bug
357     调整产品和项目下拉菜单的格式
356     当测试任务中的测试用例被执行多次时，在列表页结果显示不对。
355     产品计划详情页面描述显示错误
354     ”编辑文档库“没有弹窗
353     导出不能正常导出文件
352     隐藏已结束，全部项目，导航错误
350      todo列表页面不对
349     专业版我的地盘-我的TODO-日历界面没有日期选择框
348     bug编辑不能显示编辑器
346     产品删除时候，关联该产品的项目不显示
332     创建和编辑bug时，所属模块如选择为/，则所属模块显示为空。
331     任务详情的上一个、下一个链接错误
316     设置了一个版本下已解决的bug和需求，但提交保存后看不到效果
311     扩展product模块的browse页面的时候，页面出现乱码
282     创建测试任务时，待选build列表列出了全部build而非所属项目的build。
201     添加项目自动跳出
199     添加任务关联需求问题_设计
169     在新增需求页面切换产品，报错
145     编辑需求保存后，如所属模块选为“/”，则保存后，显示为“”。

2012-12-3 4.0.beta1发布：

需求：

903 整理每一个页面的操作按钮
909 处理产品的下拉菜单，将结束的放在下面
910 将项目和产品视图的概况改为维护
911 调整需求的批量关闭页面
913 上传附件的时候显示最大可上传大小
917 安装完毕之后my.php中增加mysqldump参数的配置
921 编辑需求的时候显示需求的验收标准
931 修改搜索表单的折叠展开按钮为红色
932 搜索表单页面的删除按钮改为图标
943 调整用例的批量添加页面
901 重构产品和项目访问权限的实现逻辑
902 项目视图的需求管理页面的新增改为新增需求
907 我的todo的浏览页面都增加导入到今天按钮
908 完善优先级的显示
914 控制编辑内容时p标签的margin
915 批量添加任务的时候增加对指派给的同上操作
919 回收站增加隐藏功能
920 导入bug页面调整弹出的bug详情查看页面
922 任务导出增加开始时间字段
924 需求分解任务的时候，可以批量添加
927 调整导入任务的页面
934 对bin目录下面的各个脚本提供bat的封装
944 调整导入bug的页面
945 调整项目视图模块维护界面
946 写一个脚本，可以方便用户从Windows系统迁移到linux中
947 调整任务的批量编辑操作的逻辑
948 实现桌面提醒客户端
923 完善linux集成运行环境对64位系统的提醒
930 将流程图、帮助文档、视频链接放在禅道安装包里面
937 编辑器增加对表格的支持
941 更新相应的INSTALL, README文档
942 恢复uniserver之前的svn的同步脚本
954 重构文档详情页面
904 升级kindeditor
905 修复todo批量添加之后跳转页面的错误
912 安装的时候增加对session_savepath的检查
950 将超级管理员的权限放在权限列表中
952 实现批量维护用户功能

2012-9-3 3.3发布

需求：

447     完善详情页面的标题处理 
541     优化sql查询
544     创建发布的时候，build可以为空
555     用户可以自动添加附件上传框
691     优化前端性能
692     压缩css，js文件
693     合并样式表中用到的图片文件
711     安装禅道的时候，提供语言的选择
712     在生成model的缓存文件的时候，判断tmp/model是否存在可写
715     导入任务的时候，增加对项目的筛选
719     调整权限分组的用户管理，以适应用户很多的情况
747     调整变更需求时影响范围的排版
749     调整组织视图用户todo的界面
751     添加todo的时候，增加对暂不指定的处理
752     featurebar的字体还是调成大字体
753     调整图标样式
754     调整产品下拉菜单
755     批量添加todo的时候，自动计算时间间隔
756     调整批量添加todo时候日期选择框的样式
757     当图片太大的时候，自动增加链接，点击可以查看完整尺寸的图
760     调整附件下载代码的逻辑
761     如果没有扩展名的附件，不要增加扩展名
763     处理完善测试数据的权限 

  安装的时候改为检查数据表是否存在。
  优化性能
  调整组织视图用户todo页面。
  汉化ioncube load wizard.
  调整todo的批量添加批量编辑页面。
  调整任务的批量添加和批量编辑页面。
  重新组织项目视图的菜单列表。
  调整统计报表页面的内容和样式。

bug:  

345     计划的开始和结束日期没有比较                                    
344     删除用户后，权限分组页面仍可分配权限                                    
343     项目创建项目起止时间会有提示“请填写合法的日期”                                        
339     testtask模块create.html.php没有考虑值为空的情况                                 
338     testcase模块的create.html.php错误                                       
337     批量添加todo之后跳转的页面参数不对                                      
336     选中某一个模块之后，点击创建bug链接，没有把模块字段带过来                                       
334     批量添加todo的时候，todo标签没有高亮                                    
333     report模块的model.php的getProject函数没有考虑值为空的情况                                       
321     统计视图版面乱码                                        
317     添加项目出现是否停止运行此脚本的对话框                                  
315     在IE8下编辑bug时，选择所属项目后，影响版本列表没有反应。                                        
307     测试用例列表，用例标题没有悬停提示完整标题的功能。                      

2012-7-16 3.2.1 发布

调整:
  修复首页滚动条问题。
  修复任务不能批量关闭的问题。
  修复bug列表上一个，下一个不对的问题。
  调整id字段的宽度。
  任务增加模块的编辑和查看。
  将纯图标的链接形式换成图标和文字组合的形式。
  调整初次创建任务再编辑时提示状态必须的完成的逻辑。
  修复产品的下拉列表没有按order字段排序的问题。
  调整统计视图报表的一些字段错误。

2012-7-3 3.2 发布

框架：

框架的扩展增加model的钩子脚本支持。
框架的扩展增加对加密软件的支持。
dao:: 增加ge方法。 
beginIF增加对orderby的支持。
增加数据库配置扩展到功能。

界面：
调整操作界面，增加小图标。

新增功能：
633     在详情页面，增加上一个和下一个的链接
727     优化产品和项目的下拉菜单选择
763     为任务增加开始字段
777     解决svn中文路径的问题
779     完善项目的详情页面
780     完善计划管理的详情页面
781     增加新的todo选择标签
782     按模块搜索增加对下级模块的支持
784     完善发布的详情页面
785     测试任务的用例页面增加用例数。
786     完善build的详情页面
788     统一所有的条目统计信息的位置，统一放在左侧
789     将下拉菜单的todo日期选择框改为日期选择控件
790     我的地盘里面的任务，bug，需求增加分页
791     批量添加todo的时候，应该可以选择日期。
792     项目关联需求的时候，增加搜索功能
793     将修改密码的功能独立出来
794     发信的时候，将对象的详细描述带上
795     按照日期进行搜索的时候，考虑将文本框改为日期选择框
796     build和发布在关联需求和bug的时候，增加全选和取消全选的按钮
797     浏览todo的时候，增加昨日安排的选项菜单
798     bug增加指派操作
799     调整bug需求变动页面的排版
800     测试结果的页面，增加版本的显示
801     添加用户的时候，支持用户名带.
802     部署html5的placeholder属性
803     增加对需求的批量操作
805     实现任务列表页面的批量操作
808     提供demo数据
809     demo环境提供不同的演示帐号
814     测试任务的用例列表页面增加分页功能
818     优化email配置功能
819     bug统计图表，可否增加按“build”统计功能。
820     首页的的项目和产品表格表头固定
821     添加项目的时候，完善时间处理
822     创建发布和build时，隐藏trunk，增加新增build链接
825     调整任务添加的逻辑，取消最初预计和优先级字段的必填属性
848     调整需求、任务、bug下拉菜单检索
849     调整测试用例列表页面
854     任务管理增加模块功能
856     bug转需求之后，将bug的提交者放在需求的抄送列表中
857     增加对导航菜单显示顺序的定义
859     导出发布的修改记录为html代码
860     调整build和发布关联需求和bug时候的逻辑
861     svn命令参数增加--trust-server-cert选项
863     完成测试任务所对应的测试用例的导出功能
864     超级管理员修改自己的用户名的时候，同时修改数据库
866     windows一键安装包打包的时候加载openssl的支持
867     创建测试任务的时候，根据所选择的项目筛选build列表

调整搜索表单的检索顺序。
任务增加开始日期字段。
移除产品和项目下拉菜单的键盘扩展。
移除帮助的?链接。
调整导航菜单。

BUG：
313  搜索任务的时候，已经过期的任务没有提示
310  删除用户之后，在bug列表页面没有显示相应的用户名
306  当系统存在n多模块时，编辑模块后保存时界面会等待很久。
298  编辑项目的时候，项目负责人，测试负责人，发布负责人有问题  
297  项目视图->产品页显示乱码 
296  chrome下面创建发布的时候，保存按钮被遮掩 
291  创建需求的时候添加附件排版问题 
290  用例浏览添加备注没有“保存”“重填”按钮 
289  bug查看页面左上角链接排版问题
287  英文的action应当改为小写 
286  英文界面下面模块维护的链接显示不妥 
284  批量添加需求界面，“需求标题”与“需求名称”用词不一致。
138  缺陷列表，如“自定义字段”设定显示“影响版本”，则显示的是 id号而非版本号名称。

2012-5-3 3.1发布

STORY:
687 windows集成环境关闭innodb
681 提升集成运行环境的性能，增加expires模块。
506 重构checkall。
621 添加todo的时候，日期改为日历控件
644 实现备份脚本
650 可以批量添加todo列表
659 恢复之前的需求添加页面
661 build和发布增加完成需求，解决bug的数字统计
665 完善bug自定义列表页面build的显示
667 升级的时候，判断是否存在my.php
668 将待办事宜里面的日期选择改用日历选择框
674 重新指派任务的时候，应当增加预计剩余字段
675 编辑任务的时候，将由谁完成改为项目的团队成员，增加首字母的提示
676 在涉及到工时的字段的时候，在后面增加单位的提示
677 导出csv的时候，增加导出编码的选项
678 完善需求的研发阶段处理逻辑 
679 项目关联需求的时候，增加全选按钮
684 首页的产品信息中增加bug的统计
685 集成运行环境中集成数据库检查修复脚本
686 调整安装完成之后的登录按钮
688 调整build的概念，将其改为版本
689 完善项目的工时管理

修改登录页面的样式。
取消添加和编辑用户时账户和密码的自动完成功能。
调整变更时验证字段的diff显示样式。
调整测试用户的用例浏览和关联用例的页面。
windows一键安装包集成控制面板的源代码。
备注功能增加锚点，确保页面焦点在备注框里面。

BUG
309 任务搜索，选择最后编辑没有出现预期结果
304 Bug转任务之后，点击bug详情页面的转任务应当跳到对应的任务详情页面
302 取消了用户的动态访问权限，但在首页仍然能够列出
301 给需求添加备注的时候，会置空需求所属的计划
300 在维护模块的时候，如果从产品视图导入的模块过多，会导致保存按钮无法显示
299 项目视图中的测试申请列表链接不对
293 bug详情页面的操作按钮出现换行
292 没有本地上传安装插件权限的用户也能看到本地上传安装的链接
288 1024 x 768下面用例列表页面无法使用
285 项目视图的菜单在英文界面下面显示有误

修复了需求变更时影响项目和任务无法列出的bug。
修复编辑bug时图片产生修改记录的bug。
修复变更含有图片的需求时，没有做任何修改但版本增加的bug。
修复没有权限但可以看到批量关闭任务表单的bug。
修复没有分配用例的权限，但可以看到指派用例的权限。

2012-3-3 3.0.stable发布

全新的模版风格。
一键安装包增加对ioncube的支持。
windows一键安装包提供服务管理的脚本。
需求创建的时候，增加一个是否继续添加需求的选项，以方便用户快速添加需求。
完善一键安装包的首页。
保留xampp原来的授权文件。
调整首页项目百分比的显示。
修复用例前置条件显示的错误。

2012-2-23 3.0.beta2发布

STORY: 
630  已安装的插件可以查看插件的详细信息              
634  dao增加findInSet()方法
494  完善产品管理的详情页面
643  修改检查更新的逻辑    
628  导出csv格式的时候，将html代码去掉          
638  不包含功能没有放在搜索表单里面          
633  将所有的private, protected改为public          
489  提供复制项目的功能 
642  调整系统首页列表的显示，改为滚动显示          
623  实现插件的升级功能
637  导入bug时搜索表单默认显示
632  调整程序里面的测试任务的概念
636  处理动态信息中项目，任务所属的产品信息
645  todo标签增加暂不指定的标签
635  更新代码中的版权提示为2012
646  重新实现windows一键安装包
648  系统安装完毕之后，提醒用户登记注册          
253  增加对项目排序功能
252  增加对产品的排序功能
649  显示安装之后插件所包含的目录和文件列表    
将系统中所有的“feature”改为“future”
在文档视图中的产品文档库和项目文档库中的“维护模块”改为“分类” 
审核需求的时候，改用滚动显示。

BUG: 
280 通过编辑操作关闭某一个转为任务的bug时，有空白alert框出来
修复bug列表查询没有加删除逻辑的bug
修复私人todo首页显示内容的bug
修复sendmail中的bug
修复http://www.zentao.net/thread-view-80940.html 反映的代码的问题
参考http://www.zentao.net/thread-view-80933.html，完善英文界面的翻译    

2012-1-04 3.0.beta1发布

STORY: 
591 完善插件打包规范 
532 创建发布的时候，自动关联完成的需求和修复的bug 
609 完善任务和bug联动时的交互提示 
531 创建build的时候，关联完成的需求和解决的bug。
508 从项目中移除需求的时候，自动取消其相应的任务 
597 bug浏览增加未关闭标签 
533 当测试任务关联用例的时候，自动根据其关联的需求和bug，确定用例
612  调整bug转需求的功能 
463  增加产品列表页面 
590  处理禅道版本的显示 
617  创建linux下面的一键安装包 
603  svn 增加用户名对照功能 
605  完善svn命令同步的处理方式 
600  完善需求来源字段 
604  修改用户表中gendar字段的错误 
613  bug详情页面增加转化之后的需求和任务的链接 
599  完善需求研发阶段的处理 
608  需求搜索时增加按照模块搜索功能 
589  导入bug的时候，增加搜索功能 
616  将项目排序字段独立成配置 
584  组织视图的动态增加搜索功能 
615  将产品排序字段独立成配置 
602  处理svn 日志编码转化的问题
611  完善目录创建功能 
606  增加快速评论功能 
601  需求详情页面增加来源bug链接 
610  修复autocomplete的bug  

BUG:
279 Bug转需求后，Bug关联的多个附件只剩下一个！
277 复制需求的时候，没有就来源字段复制过来 
276 导入bug的时候，在输入预计工时的时候，会把前面选中的checkbox取消
275 bug搜索时，totask > 0不起作用 
274 按照所属产品 = 所有产品，能够搜出自己没有权限的需求 
273 管理团队成员时，已加入的团队成员名显示登录帐号而非姓名。
261 当模块测试负责人为空的时候，应当保持产品的测试负责人 

2011-12-07 2.4 发布 
STORY:

596  导入bug页面增加bug的预览功能
595  导入bug之后，刷新导入bug页面
594  增加从项目创建需求的链接
593  完善任务和相关bug的状态联动
592  实现bug转需求功能
588  测试任务关联用例的时候，增加分页功能
587  增加产品项目列表功能
585  执行用例的时候，记录所有的步骤结果
527  在创建用例的时候，增加需求预览的功能
526  在需求列表和详情页面添加创建用例链接
512  需求详情页面增加相关用例和相关bug的显示
490  提供自动计算项目可用工时的功能 
473  任务管理增加指派功能
431  导出页面提示“输入文件名”
324  todo增加导出csv的功能
320  测试执行结果应该记录执行人 
319  在项目视图中增加测试任务功能
313  todo的历史修改记录里面显示用户的真实姓名
312  当创建需求的时候，只选择没有过期的计划 
     增加项目可用天数的计算。 
     完善移动平台的操作系统和浏览器。
     增加了对主配置文件的扩展功能。
     增加对项目结束日期的检查。

BUG:                
272     安装禅道的时候，如果php环境没有安装json扩展，页面空白 
271     进行中的项目列表为空时，项目列表页面显示逻辑不对
269     插件管理的时候，安装补丁之后，显示的记录不对
266     email配置gmail的时候有误
262     编辑附件的时候，应当默认将附件的名称作为默认值
260     创建bug时，如果重新筛选项目，原来选中的影响版本会被取消选中
247     安装的时候，如果不设置前缀，安装会出错
229     当用户没有设置email地址，且打开email功能的时候，会提示至少提供一个收件人
223     批量指派任务的时候，附件存储有问题
213     创建bug时，影响版本和所属项目 选择位置调整导致操作不便。
203     任务导入后的状态显示
202     无法将私人事务的todo改为非私人事务
198     对于多个影响版本的bug，重新激活后则影响版本变为仅仅一个选择了的版本
192     当切换语言或者风格的时候，如果url中含有#，则页面不刷新
188     发布列表未按发布日期排序，编辑发布界面的发布列表也如此。
187     燃尽图更新帮助链接错误 
119     我的地盘板块，新增“我的Todo”，日期选择“暂不指定”，保存之后，该Todo展示页面时间显示“2030-01-01”
113     产品视图设置查询条件之后，按照某字段进行排序无效
019     如果php设置为session_autostart，会有警告信息
        修复用例复制链接失效的bug。
        修复需求来源无法编辑的bug。

2011-10-31 2.3 发布
story:
453    安装的时候，增加对协议的确认 
577    需求列表页面增加各种标签筛选
517    完善bug的处理流程，增加确认和重新激活状态
564    用例增加前置条件功能
580    增加需求的批量添加功能 
566    需求增加来源字段 
582    实现测试用例批量添加功能 
471    针对不同分辨率的浏览器进行优化 
568    svn增加diff功能 
558    将邮件配置插件放入到后台管理中  
446    增加项目动态功能 
576    发信的时候，将当前操作者从发信列表中去掉 
563    用例单独执行功能 
454    实现用户自定义安装和卸载功能的支持 
579    插件如果未定义是否和当前版本兼容，列表中改为未知 
518    优化产品和项目的下拉菜单选择
464    完善项目视图的首页显示 
565    用例可以只撰写标题    
581    实现批量添加任务功能 
567    增加一个完全独立的svn同步脚本  
583    bug可以转为测试用例  
445    增加产品动态功能    
482    增加导入bug功能    
570    完善windows一键安装包的打包程序  
562    测试用例增加导入功能  
463    完善产品视图首页的显示 

导入css，js文件时，加入时间戳
api.class.php 增加post()方法
后台管理调整菜单顺序。
移除table2csv
调整英文界面ui
升级jquery 1.5.2
升级colorbox 1.3.18
删除不用的控件。
都使用minjs。
菜单条目增加id
调整插件页面。

bug:
265 多次修改和执行用例后，不能正确查看用例
259 早上8点40左右添加todo，起止时间显示的列表不对

2011-09-22 2.2 发布
story:

480 发送bug相关的邮件时，将操作者替换成真实的姓名
515 将编辑器上传中页面中的本地上传改为默认
538 使用jquery的图表插件来实现统计报表
525 新增任务的时候，需求预览使用colorbox打开
553 集成环境中，增加说明文件
548 彻底解决centos和rhel下面的问题
552 修复dept和tree模块中模块名称的安全漏洞
557 完善详情页面中图片的自动缩放功能
551 增加和svn集成的功能
546 完善默认的权限划分
559 修复隐藏域删除操作引起的死循环
438 修改.htaccess文件，修改php的默认配置
524 完善产品和项目的权限控制
550 完善编辑器上传图片返回的错误提示
474 下载附件的时候自动追加session信息
545 增加附件名称编辑功能
554 每页显示的记录数记到cookie中
549 任务未开始之前修改预计工时，应当将剩余时间也一块修改了
352 使用不同的颜色来区分状态
556 task模块中关于搜索的配置应当去掉
436 common模块下面的视图文件，使用css::import和js::import来加载相应的css文件和js文件
547 my.php被加载两次，需要优化
    需求列表，任务列表排序记录到cookie中。
    增加新的模板, thanks silver, www.yanhonglu.com

bug:    

258     第一次创建任务并指派的时候，assignedDate为0.
257     创建bug时所选择的build在编辑的时候丢失
255     解决bug的时候，没有检查解决版本是否必填
254     导出任务列表时，指派日期显示的是人名
253     关闭任务之后，延期天数计算不对
249     维护模块中，超过十个汉字的模块，无法修改其名称和负责人。
244     如果附件文件名中含有空格，下载的时候文件名会被截断
243     使用opera导出内容时有错误
242     点击“用户列表”中的某一用户真实姓名出现错误链接
241     文档列表中，创建者应为真实姓名而非用户帐号。
240     访问时我的地盘中“我的测试”不高亮显示 
235     关联产品的时候，无法取消最后一个产品的关联
230     创建bug时，已经删除的项目还会出现
228     5.1版本安装会失败
227     已经结束的项目，概况统计中的工时不对
226     测试任务中关联的某一用例如果被修改之后，无法执行
224     删除todo的时候，发生页面死循环 
215     搜索不能保存

2011-07-06 2.1发布

story:
359     1       更新代码里面的copyright时间
462     1       完善我的地盘首页的显示
452     1       提供在线扩展功能
456     1       获取插件信息的时候，增加语言选项
461     1       完善系统首页的展示
455     2       增加对插件类型的判断
529     2       完成redmine的导入插件 
469     2       完善对ie9的支持
535     2       调整每日提醒的插件，发布到我们的插件平台
457     2       实现插件升级功能
509     2       完善phpmailer的错误提示
534     2       完成zentaotest的插件调整
516     2       增加对page css和page js扩展的支持
466     3       将QA视图改为测试视图
524     3       完善产品和项目的权限控制
468     3       升级kindeditor编辑器
383     3       自动配置sae版本的邮件发信功能
479     3       在检查插件的md5值的时候，需要处理没有md5值的情况
536     3       完善bug自定义字段的列表功能

bug:

237     3      导入信息不完整返回重新填写不能保存
236     2      变更需求时，不修改需求内容则无法保存验收标准的内容。
235     3      关联产品的时候，无法取消最后一个产品的关联 
234     3      浏览任务的时候，切换项目，会提示对象不存在
233     3      英文界面下面创建Bug，模板为空
232     3      状态为doing的todo，其后面的操作代码doing应当改成done 
228     3      5.1版本安装会失败 
226     3      测试任务中关联的某一用例如果被修改之后，无法执行
225     3      编辑公司之后，无法继续保存
222     4      编辑bug时，影响版本列出的是所有，而非仅仅是所属项目的build/发布
221     3      按照模块维护分组，我的的地盘中的测试任务，测试用例，分给某一个分组之后，在分组权限中无法看到。
219     3      在创建bug的时候，会有错误日志，提示bugOwner字段不存在 
218     3      项目视图中任务无法按照需求进行分组 
217     3      组织视图中私人事务的todo也被显示了出来
215     3      搜索不能保存
214     3      编辑bug页面，修改“所属产品”时，弹出js提示，内容为php代码。
212     3      build无法编辑 
209     3      用户动态的“操作者”列的内容不正确。
208     3      组织动态的“操作者”列的内容不正确。

2011-05-03 2.0发布

story:

398   确定插件打包的规范要求 
399  实现插件管理
355  添加记录的时候，调整字段顺序
382  自动提供sae版本的计划任务
384  增加动态历史一个栏目
385  我的地盘中增加我的动态
386  组织视图中，某一个用户的状态页面，增加动态历史
396  实现需求的基本统计报表
397  实现任务的基本报表统计
413  为每个模块建立初始的ext扩展目录。
422  优先级的默认设定
184  需求增加如何演示字段
376  点击表格的一行，应当可以选中这一行中的checkbox
378  处理[]这样的标签，加以区分
380  完善sae版本的安装程序
387  需求增加复制功能
388  测试用例增加复制功能
389  一个产品的模块可以从其他产品复制过来
390  common模块的footer.html.php文件增加hook的支持
391  完善路线图的排序
395  需求搜索增加按照产品进行搜索
405  项目视图中的需求列表改为服务器端排序
406  在分解任务的时候，将需求的优先级和预计工时也都列出来。
408  在产品的需求列表和计划的需求列表页面增加所有需求的预计工时的总计
409  在任务列表中增加工时的统计信息
410  任务列表增加已关闭浏览选项
411  将所有的分页显示代码都包在表格中
412  点击“搜索”，实现搜索表单的切换显示
418  将导出功能改为php实现
419  首页的动态增加更多链接
420  整理每个版本新增的权限
424  调整变更需求时的界面
392  发送邮件的时候，自动加上产品或者项目的名称
393  文档增加备注功能
407  增加分页显示的数量选择
423  预计工时的默认显示

bug:

197     使用管理员为某一个帐号分配权限，然后使用这个用户登录，提示没有权限
196     使用IE第一次访问禅道，页面显示英文，但语言提示显示中文简体
195     搜索任务时，搜索所有项目的任务，没有分页
194     导入之前取消的一个任务时，应当将由谁取消和取消时间置空
193     取消登录界面的“请稍候”功能
190     修改或创建发布名称为已有的发布时，无任何反应，无任何提示。
189     修改build名称为已有build时，无任何反应，无任何提示。
175     Build列表未按Build日期排序，编辑bug界面的build列表也如此。

2011-3-15 1.5 发布

story:
361 修改opt目录为ext 
372 为任务列表增加搜索功能 
363 将字段提示纳入到发行版本中 
365 完善项目关联需求时的提示 
358 在模块下面增加css和js的概念 
367 用户可以修改个人的其他信息 
362 修复todo里面导入到今天的错误 
373 为文档模块增加搜索功能 
364 完善首页的提示 
366 燃尽图增加提示 
134 可以对任务按照各种条件进行检索 
360 更改所有的private方法为protected 
371 附件表单权限的提示，应当放入到语言文件中 
354 安装的时候自动设定默认语言 
368 安装的时候检查数据库是否存在 
324 todo增加导出csv的功能 
369 调整build表描述字段的长度 
328 增加将权限分配到多个分组的功能 
    我的地盘中任务批量关闭
    完善燃尽图的样式
    完善用户分组的样式
    调整todo的时间区域
    增强upgrade.php的安全

fix bug:    
185 bug编辑界面，系统列表中没有win2003和mac os。                                    
184 使用jsonapi获取bug列表，出现错误                                        
183 用户名中如果包含.，无法移除                                     
181 当一个产品被删除之后，该产品相关的bug还会出现在我的地盘                                         
180 任务分组的treetable在firefox下面无法折叠                                        
179 如果某一个任务被取消，然后被关闭，仍然被计算到项目的剩余时间中                                  
178 编辑需求时，如果切换产品，无法加载新产品的模块                                  
177 项目列表当所有的项目都结束之后，项目列表就不再显示了                                    
176 centos下面的pdo错误                                     
175 Build列表未按Build日期排序，编辑bug界面的build列表也如此。                                      
174 复制bug后，“类型/严重程度”选项变成默认，并非源bug的类型。                                     
173 windows一键安装包访问权限漏洞                                   
171 测试任务关联用例页面“保存”按钮显示为“搜索”                                  
163 通过完成、取消等按钮操作任务时，起对应的需求的所处阶段没有修改                                  
145 编辑需求保存后，如所属模块选为“/”，则保存后，显示为“”。                                     
139 组织视图的用户信息显示，未显示所属部门。                                        
119 我的地盘板块，新增“我的Todo”，日期选择“暂不指定”，保存之后，该Todo展示页面时间显示“2030-01-01”                                    
    附件不存在时，逻辑不严谨                                        
    修复account检查的错误                                 
    修复分组权限不能清空的bug                                   
    修复分组用户不能清空的bug                                 
    关闭任务时，邮件的提示。

story:
051 我的档案中完善其他字段
162 添加完项目之后，提示用户该如何处理
177 分组用户选择增加全选功能
229 项目增加项目负责人、产品负责人、测试负责人、发布负责人
260 Bug, task, case编辑页面需求下拉菜单优化
286 增加多风格支持
287 整理代码，重新调整一个默认的风格
290 完善英语版本
309 调整燃尽图更新程序computeburn.php的实现方式
310 调整代码，改用英文注释
311 暂不指定的todo，也可以导入到今天
312 当创建需求的时候，只选择没有过期的计划
313 todo的历史修改记录里面显示用户的真实姓名
314 当暂不指定的todo完成之后，将日期改为当前的日期
318 剩余模块增加编辑器
321 super对象增加结构打印方法
323 优化分组中成员维护的页面
325 bug增加按照指派给进行统计
326 附件显示的时候，增加扩展名的显示
327 测试任务增加负责人功能
330 增加的每个版本新增权限的提示
331 我的任务细分为由我创建和指派给我两个选项卡 
332 我的bug里面细分为由我创建，指派给我，由我解决的bug
333 我的需求，细分为由我创建，由我负责，和由我评审
334 安装的时候，提供一个默认的guest分组
335 优化对chrome, safari的支持
337 我的地盘增加“我的测试”一栏
339 项目文档库中调整显示，按照产品组织项目
343 默认将diff信息隐藏
344 通过配置文件来设置todo的起止时间
345 视图文件的钩子扩展可以是多个
346 model扩展改为ext调用
347 项目列表默认不显示已经结束的项目
349 任务完善流程处理字段

bug:
170     如果某一个用户已经被删除，在维护QA视图页面还会出现
168     使用opera编辑器或者linux下面的firefox进行编辑，会出现内容丢失的现象
167     如果某一个用户已经被删除，在权限维护页面还会出现
166     文档查看页面的标题，应当改为文档查看
165     不同浏览器编辑同一个文档，空格和&nbsp;互相转换的问题
164     上传附件如果没有权限写入，应当给予提示
162     转换bugfree，没有执行nl2br
161     bugfree2.0.3里面用户组的表名为testusergroup
159     当上传的附件扩展为为大写的PNG, JPG的时候，点击附件没有在浏览器直接打开 
157     英文导出csv，没有空格
156     首页统计中的产品、项目、需求、任务、bug等应该去掉已删除的记录
155     创建发布时，build列表列出的内容包括了“发布”。
154     维护子模块的复制产品视图模块功能错误
153     删除文档提示无提示内容。
152     QA视图-创建bug：没有将产品bug负责人填写到“当前指派”里
150     编辑bug时，如重选所属项目，则“解决版本”自动变为 trunk，保存后也如此显示。
149     编辑build时，“指派给”自动变成当前修改者。
140     各界面数据的编辑功能中，保存按钮应在点击后禁用，以防止连续点击导致重复提交。
137     更改用户名后，新用户名无法登录
135     build列表中，构建者显示为登录名而非真实姓名
124     产品视图：新增产品时，选中“只有项目团队成员才能访问”，提交时遇到“您无权访问该产品”错误
97      BugFree2转换时TestGroup表不存在

2010-09-15 1.3版本发布

story:
259 开发禅道api客户端的php实现
081 完善开发者指南
291 完善文档功能，启用未用字段
265 修改邮件错误提示为相应的语言文件
202 优化历史记录的显示
283 文档下载功能
293 增加附件删除功能
179 首页显示内容优化
292 其他模块增加富文本编辑器功能

bug:
141 QA视图-用例管理-搜索-重置： 点击重置无法将输入框的搜索条件完全清除
134 bug视图模块及用例视图中，从产品视图复制功能无效
133 浏览bug时，久未处理的查询逻辑不对
132 1.2版本无法从bugfree转换
131 当产品视图的模块中含有空格的时候，复制到bug模块中，空格后面的部分被移除
130 文档库中文档名称的重复检查应该在同一个模块下面 
129 表单字段中，如果含有sql关键词，会导致报错
126 产品视图的文档列表中项目文档没有列出其类型
125 删除文档应该给予提示
123 QA视图：创建bug时选择了“项目任务”，导致影响版本只能选择“Trunk”
122 编辑bug时，默认没有选择已设置过的影响版本
121 测试任务关联用例的时候，选择用例版本无效
116 发送邮件时的链接没有将端口号写上
114 新增需求的时候，发送邮件只有标题，没有描述

2010-08-03 1.2 发布

007 Bug视图中的模块可以从产品视图复制
041 产品设置访问的白名单
050 bug的模块可以指定默认的指派人
144 任务增加关闭操作
194 QA视图BUG列表增加自定义字段显示
215 增加英语语言的支持
263 todo的起止时间可以通过配置文件来进行设定
267 汉化集成安装环境
269 处理zentao环境中的.htaccss文件
270 调整集成安装环境php的报错信息
271 增加中文繁体支持
273 增加我的模板功能
274 增加复制bug功能
275 用例增加附件功能
276 增加富文本编辑器功能
277 文档库管理功能

2010-07-06 1.1 发布
 
完成的功能列表： 
  story# 255  json接口增加状态码和签名验证
  story# 258  支持$account:$password@pms方式的验证
  story# 257  用户验证支持加密验证
  story# 256  用户验证支持get方式
  story# 254  增加禅道运行系统配置的接口
  story# 241  批量建立模块的opt目录
  story# 240  转换程序代码格式为unix格式
  story# 261  完善软件包里面的changelog等文件
  story# 214  增加common模块扩展的功能
  story# 250  统一调整视图赋值方式
  story# 249  将dao中的oncaseof改为beginIF

  story# 147  增加保存查询功能
  story# 239  搜索查询表单增加重置按钮

  story# 251  新建资源时，不列出已经删除的资源
  story# 234  记住用户上次选择的产品
  story# 235  记住用户上次选择的项目
  story# 136  任务相应的变化email通知相应人员
  story# 236  未经审核的需求再次变更时，不应当修改指派给字段
  story# 228  bug统计报表增加全选和反选按钮
  story# 178  新增任务时，可以指派给多人

修复的bug列表：  
  bug# 118 当一个模块含有model扩展时，修改主体的model.php无效
  bug# 117 bin/computeburn.php包含snoopy类时，应当使用绝对路径
  bug# 115 如果某一个模块的model.php最后一行是?>;，并且有扩展，会出错
  bug# 112 我的地盘中，“之前未完”的TodoID错位
  bug# 100 win7下面IE8页面滚动条出现故障
  bug# 96  变更需求页面，选择“由谁评审”，在需求展示页面对应的是“指派给”
  bug# 92  为分组选择成员时，备选列表中不应该出现已经被删除的用户
  bug# 91  创建Bug时，“当前指派”列表中出现了已经被删除的用户

2010-06-04 1.0.1 发布

  本期修复的bug如下：
  85 添加新用户时，“加入日期”无法选择2009年5月份以前的日期
  87 分解任务之后，无法在项目任务列表中展示
  88 虚拟主机上面禁用glob函数之后，框架报错
  89 创建任务是，点击“同需求”按钮，会把需求id带入。
  90 当build重复添加的时候，系统没有提示
  93 存在安全漏洞（跨站脚本、未加密的传输）详见附件
  94 任务已经结束，但仍然显示延期
  95 创建需求时，没有发送email给审核者
  101 安装时访问更新api，超时会有警告
  102 需要确认需求变更的bug，如果标题太长，确认链接无法显示
  103 当某一个项目的燃烧图数据超过21天时，数据显示有误
  104 用户详情页面不应该显示昵称字段
  105 common模块根据HTTP_HOST变量查找公司是有误
  107 计算燃尽图数据时，将已经删除的任务也计算在内了
  108 如果bug标题中有英文的单引号，编辑该bug，英文单引号后面的字符全部消失
  110 项目视图中的任务列表，按照需求分组的时候，会有waring信息 

2010-05-03 1.0 正式版发布

  修复Bug
  正式推出全新的操作界面。
  若干小功能的改进。

2010-04-28 1.0 rc2 发布。

  本期改进主要集中在界面方面，同时修改了很多的bug

2010-04-19 1.0 rc1 发布。

  完善了删除机制。
  完善了多公司的支持。
  完善了界面的UI。
  增加了列表的导出csv功能。

2010-04-01 1.0 beta发布。

  完善了禅道软件的扩展机制。文档请参考：http://www.zentao.cn/node78847.html
  完善了需求变更处理流程。
  完成了bugfree2的转换程序。
  需求，bug，用例增加了关键词字段。
  项目增加了权限设置。
  其他若干地方改进和bug fix。

2010-03-10 0.6 beta发布。

  STORY #146 搜索时可以指定空值
  STORY #140 当维护某一个模块的子模块时，可以在中间插入模块并自动计算顺序 
  STORY #127 创建bug时，影响版本可以选择多个
  STORY #148 实现bugfree2X版本的BUG图表统计
  STORY #142 任务列表增加分组展示功能
  STORY #098 日期字段使用js的控件来选取
  STORY #047 todo和bug之间的联动
  STORY #139 产品视图增加模块删除功能
  STORY #085 新建任务的时候，完善用户列表
  STORY #046 todo和项目任务状态的联动
  STORY #157 必填项给予说明
  STORY #143 任务增加附件功能 
  STORY #138 产品视图增加模块编辑功能
  STORY #111 任务增加起止时间字段
  STORY #080 display方法提供直接转换为xml或者json的功能
  STORY #159 新增任务的时候，可以查看选中需求的内容 

2010-02-22 0.5 beta发布。

  本版本主要完善了需求的处理流程，测试用例的管理和执行以及相应的界面调整。同时完成了bugfree1.x版本的转换工具。

  #031 需求完善审核流程
  #126 创建需求时，可以指定是否需要走评审
  #128 需求评审时，可以手工指定评审日期
  #131 当评审结果为关闭且原因为已完成或延期时，评审结果应该为pass
  #125 延期的需求需要能够重新激活
  #045 当需求有细分任务的时候，自动调整对应需求的所处的阶段
  #023 需求相应的变动可以抄送给相关人员
  #129 需求列表页面增加变更、评审、关闭的操作链接
  #117 需求搜索时，可以按照计划进行搜索
  #118 调整需求详情的显示界面
  #119 调整任务详情的界面
  #113 优化action的显示
  #121 测试用例可以按照步骤来进行填写
  #106 test run管理
  #105 test task管理
  #104 test suite管理
  #124 执行用例的时候，增加全部步骤通过功能
  #026 开发bugfree1.x到pms的转换工具

2010-01-26 0.4 beta发布。

  1. 项目增加了build功能。
  2. 产品增加了发布和路线图功能。
  3. Bug管理增加了对build的支持。
  4.  新增了升级功能。
  5. 我的地盘中增加了“我的需求”功能。
  6. 需求增加了搜索功能，完善了bug和case的搜索功能。
  7. 需求增加了上传附件功能。
  8. 调整了bug的显示和编辑界面，使之更加合理清晰。
  9. 完善了后台分组管理的界面。
  10. 修复了之前版本的若干bug。

2010-01-03 0.3 beta发布

  产品管理：提供了产品的增删改，产品的模块管理，需求管理，计划管理
  项目管理：提供了项目的增删改，关联产品，关联需求，团队管理，任务管理
  测试管理：提供了完成的Bug跟踪流程（功能同BugFree）和基本的测试用例管理。
  组织管理：提供了用户的增删改，分组管理和权限管理。
  我的地盘：提供了todo管理、我的任务、我的bug、我的项目等功能。

2009-10-06 0.1 alpha发布。

  增加了QA视图，目前主要完成了Bug的基本管理。
  增加了组织视图，可以用来维护公司的组织结构。
  增加了我的地盘，可以非常方便的看到参加的项目，所有指派给我的任务及相关的bug。
  完善了权限管理。
  部分提升了用户的体验。
  基于ZenTaoPHP1.2版本架构。

2009-09-10 0.02 alpha发布。
2009-07-30 0.01 alpha发布。
